summaryrefslogtreecommitdiffstats
path: root/libraries/libssh2
diff options
context:
space:
mode:
author Menno Duursma2010-05-11 22:54:14 +0200
committer David Somero2010-05-11 22:54:14 +0200
commite1dbe8e722025dbb84d7c3eb5c374340c8c458f3 (patch)
tree031427c3132f047500228ade3e01b1ac32f52b0d /libraries/libssh2
parent669423e29ef3aa23dfd5daf10bee1fa93ed94310 (diff)
downloadslackbuilds-e1dbe8e722025dbb84d7c3eb5c374340c8c458f3.tar.gz
libraries/libssh2: Added to 12.1 repository
Diffstat (limited to 'libraries/libssh2')
-rw-r--r--libraries/libssh2/README5
-rw-r--r--libraries/libssh2/libssh2.SlackBuild73
-rw-r--r--libraries/libssh2/libssh2.info8
-rw-r--r--libraries/libssh2/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/libraries/libssh2/README b/libraries/libssh2/README
new file mode 100644
index 0000000000..79ef50df3e
--- /dev/null
+++ b/libraries/libssh2/README
@@ -0,0 +1,5 @@
+libssh2 is a library implementing the SSH2 protocol. As defined by
+Internet Drafts: SECSH-TRANS, SECSH-USERAUTH, SECSH-CONNECTION, SECSH-ARCH,
+SECSH-FILEXFER, SECSH-DHGEX, SECSH-NUMBERS, and SECSH-PUBLICKEY.
+
+Note: this is not related to, nor supersedes libssh http://0xbadc0de.be/
diff --git a/libraries/libssh2/libssh2.SlackBuild b/libraries/libssh2/libssh2.SlackBuild
new file mode 100644
index 0000000000..9b2eef4c72
--- /dev/null
+++ b/libraries/libssh2/libssh2.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for Libssh2
+
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=libssh2
+VERSION=${VERSION:-0.18}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type d -exec chmod 0755 {} \; -o -type f -exec chmod u+rw,go+r-w,a-s {} \;
+
+# --enable-crypt-none Permit "none" cipher -- NOT RECOMMENDED
+# --enable-mac-none Permit "none" MAC -- NOT RECOMMENDED
+# --disable-gex-new Disable "new" diffie-hellman-group-exchange-sha1 method
+# --enable-debug Enable pedantic and debug options
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -type f | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z][A-Z]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libssh2/libssh2.info b/libraries/libssh2/libssh2.info
new file mode 100644
index 0000000000..bc4971da82
--- /dev/null
+++ b/libraries/libssh2/libssh2.info
@@ -0,0 +1,8 @@
+PRGNAM="libssh2"
+VERSION="0.18"
+HOMEPAGE="http://www.libssh2.org/"
+DOWNLOAD="http://prdownloads.sourceforge.net/libssh2/libssh2-0.18.tar.gz"
+MD5SUM="5b9c83660aa4d1821ff2c05838e77e9d"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="dsomero"
diff --git a/libraries/libssh2/slack-desc b/libraries/libssh2/slack-desc
new file mode 100644
index 0000000000..2f2e5bd462
--- /dev/null
+++ b/libraries/libssh2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libssh2: Libssh2 (SECSH network protocol library)
+libssh2:
+libssh2: libssh2 is a library implementing the SSH2 protocol.
+libssh2: Sara Golemon is the libssh2 project manager at sourceforge.net
+libssh2:
+libssh2:
+libssh2:
+libssh2:
+libssh2:
+libssh2:
+libssh2: